# 安装ThinkPHP ## 使用 Composer 安装 Composer中文网: https://www.phpcomposer.com/ ``` composer create-project topthink/think composer create-project topthink/think=5.0.* tp5 --prefer-dist ``` 如果提示错误 `[Composer\Exception\NoSslException] The openssl extension is required for SSL/TLS protection but is not available.`,只需打开 PHP 扩展 `openssl` 即可。 如果提示 : :-: ![](http://xiaoyulive.oss-cn-beijing.aliyuncs.com/%E6%88%AA%E5%9B%BE/QQ%E6%88%AA%E5%9B%BE20180311200904.jpg) 即为安装成功 ## 使用 Git 安装 GitHub * 应用项目:https://github.com/top-think/think * 核心框架:https://github.com/top-think/framework 码云 * 应用项目:https://git.oschina.net/liu21st/thinkphp5.git * 核心框架:https://git.oschina.net/liu21st/framework.git Coding * 应用项目:https://git.coding.net/liu21st/thinkphp5.git * 核心框架:https://git.coding.net/liu21st/framework.git 首先克隆下载应用项目仓库 ``` git clone https://github.com/top-think/think tp5 ``` 然后切换到tp5目录下面,再克隆核心框架仓库: ``` git clone https://github.com/top-think/framework thinkphp ```